# PulpcoreClient::GroupRoleResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**role** | **String** |  | 
**content_object** | **String** | pulp_href of the object for which role permissions should be asserted. If set to &#39;null&#39;, permissions will act on the model-level. | 
**description** | **String** |  | [optional] [readonly] 
**permissions** | **Array&lt;String&gt;** |  | [optional] [readonly] 
**domain** | **String** | Domain this role should be applied on, mutually exclusive with content_object. | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::GroupRoleResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 role: null,
                                 content_object: null,
                                 description: null,
                                 permissions: null,
                                 domain: null)
```


