# PulpcoreClient::MinimalTaskResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | The name of task. | 
**state** | **String** | The current state of the task. The possible values include: &#39;waiting&#39;, &#39;skipped&#39;, &#39;running&#39;, &#39;completed&#39;, &#39;failed&#39;, &#39;canceled&#39; and &#39;canceling&#39;. | [optional] [readonly] 
**unblocked_at** | **DateTime** | Timestamp of when this task was identified ready for pickup. | [optional] [readonly] 
**started_at** | **DateTime** | Timestamp of when this task started execution. | [optional] [readonly] 
**finished_at** | **DateTime** | Timestamp of when this task stopped execution. | [optional] [readonly] 
**worker** | **String** | The worker associated with this task. This field is empty if a worker is not yet assigned. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::MinimalTaskResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 state: null,
                                 unblocked_at: null,
                                 started_at: null,
                                 finished_at: null,
                                 worker: null)
```


