# PulpcoreClient::MultipleArtifactContentResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::MultipleArtifactContentResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 artifacts: null)
```


