# PulpcoreClient::PaginatedCompositeContentGuardResponseList

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**count** | **Integer** |  | 
**_next** | **String** |  | [optional] 
**previous** | **String** |  | [optional] 
**results** | [**Array&lt;CompositeContentGuardResponse&gt;**](CompositeContentGuardResponse.md) |  | 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::PaginatedCompositeContentGuardResponseList.new(count: 123,
                                 _next: http://api.example.org/accounts/?offset&#x3D;400&amp;limit&#x3D;100,
                                 previous: http://api.example.org/accounts/?offset&#x3D;200&amp;limit&#x3D;100,
                                 results: null)
```


