# PulpcoreClient::PatchedFilesystemExporter

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | Unique name of the file system exporter. | [optional] 
**path** | **String** | File system location to export to. | [optional] 
**method** | [**MethodEnum**](MethodEnum.md) | Method of exporting  * &#x60;write&#x60; - Export by writing * &#x60;hardlink&#x60; - Export by hardlinking * &#x60;symlink&#x60; - Export by symlinking | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::PatchedFilesystemExporter.new(name: null,
                                 path: null,
                                 method: null)
```


