# PulpcoreClient::RoleResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | The name of this role. | 
**description** | **String** | An optional description. | [optional] 
**permissions** | **Array&lt;String&gt;** | List of permissions defining the role. | 
**locked** | **Boolean** | True if the role is system managed. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::RoleResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 description: null,
                                 permissions: null,
                                 locked: null)
```


