# PulpcoreClient::SigningServiceResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | A unique name used to recognize a script. | 
**public_key** | **String** | The value of a public key used for the repository verification. | 
**pubkey_fingerprint** | **String** | The fingerprint of the public key. | 
**script** | **String** | An absolute path to a script which is going to be used for the signing. | 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::SigningServiceResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 public_key: null,
                                 pubkey_fingerprint: null,
                                 script: null)
```


