# PulpcoreClient::FilesystemExportResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**task** | **String** | A URI of the task that ran the Export. | [optional] 
**exported_resources** | **Array&lt;String&gt;** | Resources that were exported. | [optional] [readonly] 
**params** | [**Object**](.md) | Any additional parameters that were used to create the export. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::FilesystemExportResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 task: null,
                                 exported_resources: null,
                                 params: null)
```


