# PulpcoreClient::RBACContentGuardResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | The unique name. | 
**description** | **String** | An optional description. | [optional] 
**users** | [**Array&lt;GroupUserResponse&gt;**](GroupUserResponse.md) |  | [optional] [readonly] 
**groups** | [**Array&lt;GroupResponse&gt;**](GroupResponse.md) |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::RBACContentGuardResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 description: null,
                                 users: null,
                                 groups: null)
```


