# PulpcoreClient::TaskScheduleResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | The name of the task schedule. | 
**task_name** | **String** | The name of the task to be scheduled. | 
**dispatch_interval** | **String** | Periodicity of the schedule. | 
**next_dispatch** | **DateTime** | Timestamp of the next time the task will be dispatched. | [optional] [readonly] 
**last_task** | **String** | The last task dispatched by this schedule. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::TaskScheduleResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 task_name: null,
                                 dispatch_interval: null,
                                 next_dispatch: null,
                                 last_task: null)
```


