# PulpcoreClient::WorkerResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | The name of the worker. | [optional] [readonly] 
**last_heartbeat** | **DateTime** | Timestamp of the last time the worker talked to the service. | [optional] [readonly] 
**versions** | **Hash&lt;String, String&gt;** | Versions of the components installed. | [optional] [readonly] 
**current_task** | **String** | The task this worker is currently executing, or empty if the worker is not currently assigned to a task. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::WorkerResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 last_heartbeat: null,
                                 versions: null,
                                 current_task: null)
```


